Commit 2247d4c4 authored by Ian Lynagh's avatar Ian Lynagh

Remove dead code now that we require the bootstrapping compiler be >= 6.12

parent cf00e6f9
......@@ -371,28 +371,6 @@ compiler_stage2_CONFIGURE_OPTS += --ghc-option=-auto-all
compiler_stage2_CONFIGURE_OPTS += --ghc-pkg-option=--force
endif
ifeq "$(HOSTPLATFORM)" "i386-unknown-mingw32"
# The #include is vital for the via-C route with older compilers, else the C
# compiler doesn't realise that the stcall foreign imports are indeed
# stdcall, and doesn't generate the Foo@8 name for them
# It's only important for older compilers, and in fact newer compilers
# will give a warning if the -#include flag is used. We therefore only
# do it for stage1, and only for < 6.11.
ifeq "$(ghc_ge_611)" "NO"
compiler_stage1_CONFIGURE_OPTS += --ghc-option='-\#include' \
--ghc-option='"<windows.h>"' \
--ghc-option='-\#include' \
--ghc-option='"<process.h>"'
endif
endif
# ghc_strlen percolates through so many modules that it is easier to get its
# prototype via a global option instead of a myriad of per-file OPTIONS.
# Again, this is only done for older compilers.
ifeq "$(ghc_ge_611)" "NO"
compiler_stage1_CONFIGURE_OPTS += --ghc-options='-\#include "cutils.h"'
endif
compiler_stage3_CONFIGURE_OPTS := $(compiler_stage2_CONFIGURE_OPTS)
compiler_stage1_CONFIGURE_OPTS += --ghc-option=-DSTAGE=1
......
......@@ -125,12 +125,7 @@ if test "$WithGhc" != ""; then
AC_SUBST(GhcPatchLevel)dnl
GhcMinVersion2=`echo "$GhcMinVersion" | sed 's/^\\(.\\)$/0\\1/'`
GhcCanonVersion="$GhcMajVersion$GhcMinVersion2"
FP_COMPARE_VERSIONS($GhcVersion,[-ge],[6.10.2],
[ghc_ge_6102=YES], [ghc_ge_6102=NO])
if test $GhcCanonVersion -ge 611; then ghc_ge_611=YES; else ghc_ge_611=NO; fi
if test $GhcCanonVersion -ge 613; then ghc_ge_613=YES; else ghc_ge_613=NO; fi
AC_SUBST(ghc_ge_6102)dnl
AC_SUBST(ghc_ge_611)dnl
AC_SUBST(ghc_ge_613)dnl
fi
......
......@@ -495,8 +495,6 @@ GhcMajVersion = @GhcMajVersion@
GhcMinVersion = @GhcMinVersion@
# Keep this in sync with the variables in package-config.mk
ghc_ge_6102 = @ghc_ge_6102@
ghc_ge_611 = @ghc_ge_611@
ghc_ge_613 = @ghc_ge_613@
# Canonicalised ghc version number, used for easy (integer) version
......
......@@ -69,26 +69,8 @@ $1/$2/package-data.mk $1/$2/inplace-pkg-config $1/$2/build/autogen/cabal_macros.
"$$(GHC_CABAL_INPLACE)" configure --with-ghc="$$($1_$2_HC_CONFIG)" --with-ghc-pkg="$$($1_$2_GHC_PKG)" --with-gcc="$$(WhatGccIsCalled)" --configure-option=--with-cc="$$(WhatGccIsCalled)" $$($1_CONFIGURE_OPTS) $$($1_$2_CONFIGURE_OPTS) -- $2 $1
ifeq "$$($1_$2_PROG)" ""
ifneq "$$($1_$2_REGISTER_PACKAGE)" "NO"
ifeq "$$(ghc_ge_6102) $3" "NO 0" # NOTE [1] below
cat $1/$2/inplace-pkg-config | sed "s@^import-dirs:@import-dirs: $(TOP)/$1 $(TOP)/$1/src @" | "$$($1_$2_GHC_PKG)" update --force $$($1_$2_GHC_PKG_OPTS) -
else
"$$($1_$2_GHC_PKG)" update --force $$($1_$2_GHC_PKG_OPTS) $1/$2/inplace-pkg-config
endif
endif
endif
# [1] this is a hack for GHC <= 6.10.1. When making dependencies with
# ghc -M, in GHC 6.10.1 and earlier, GHC needed to find either the .hi
# file or the source file for any dependency. Since we build the
# .depend files before building the packages, we have to make sure GHC
# can find the source files; hence we have to make sure that the
# import-dirs field of each boot package points to the sources for the
# package as well as the dist/build dir.
#
# In GHC 6.10.2, we changed the way ghc -M worked so that it doesn't
# check for existence of the source file, and doesn't look for the .hi
# file if there is only one possibility for its location. Which means
# that we must *not* do that above hack in this case, because there
# would be multiple locations to search for the .hi file.
endef
......@@ -18,8 +18,6 @@ $1_$2_HC = $$(GHC_STAGE$3)
# configuration stuff that depends on which GHC we're building with
ifeq "$3" "0"
$1_$2_ghc_ge_6102 = $$(ghc_ge_6102)
$1_$2_ghc_ge_611 = $$(ghc_ge_611)
$1_$2_ghc_ge_613 = $$(ghc_ge_613)
$1_$2_HC_CONFIG = $$(GHC_STAGE0)
$1_$2_HC_CONFIG_DEP =
......@@ -38,8 +36,6 @@ ifeq "$(ghc_ge_613)" "YES"
$1_$2_HC_OPTS += -rtsopts
endif
else
$1_$2_ghc_ge_6102 = YES
$1_$2_ghc_ge_611 = YES
$1_$2_ghc_ge_613 = YES
$1_$2_HC_PKGCONF =
$1_$2_HC_CONFIG = $$(TOP)/$$(DUMMY_GHC_INPLACE)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment